[Rpm-maint] [rpm-software-management/rpm] Add zstd compressed payload support to RPM (from @n3npq in #256) (#295)

Jeff Johnson notifications at github.com
Mon Jul 31 07:35:14 UTC 2017


n3npq commented on this pull request.



> @@ -348,6 +348,12 @@ static char *getIOFlags(Package pkg)
 	    compr = "lzma";
 	    (void) rpmlibNeedsFeature(pkg, "PayloadIsLzma", "4.4.6-1");
 #endif
+#if HAVE_ZSTD_H
+	} else if (rstreq(s+1, "zstdio")) {
+	    compr = "zstd";
+	    /* Add prereq on rpm version that understands zstd payloads */
+	    (void) rpmlibNeedsFeature(pkg, "PayloadIsZstd", "5.4.18-1");

If you mean the tracking dependency, well, zstd got implemented elsewhere before this patch was submitted. Change and you, not me, will introduce confusion.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/rpm-software-management/rpm/pull/295#discussion_r130287667
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rpm.org/pipermail/rpm-maint/attachments/20170731/a903b34a/attachment.html>


More information about the Rpm-maint mailing list